unit Setup;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, IniFiles, ComCtrls;

type
  TfrmSetup = class(TForm)
    Panel1: TPanel;
    Panel4: TPanel;
    btnSave: TButton;
    btnExit: TButton;
    PgCrl: TPageControl;
    TbSht1: TTabSheet;
    Panel2: TPanel;
    cbPort: TComboBox;
    Panel3: TPanel;
    cbSpd: TComboBox;
    TbSht3: TTabSheet;
    Panel7: TPanel;
    edOnCd: TEdit;
    Panel5: TPanel;
    edLamp: TEdit;
    Label1: TLabel;
    procedure btnExitClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure IniRead;
    procedure btnSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSetup: TfrmSetup;

implementation

{$R *.dfm}

procedure TfrmSetup.btnExitClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmSetup.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := CaFree;
end;

procedure TfrmSetup.FormCreate(Sender: TObject);
begin
  edOnCd.Text := '';
  PgCrl.ActivePage := TbSht1;
  IniRead;
end;

procedure TfrmSetup.IniRead;
var Myini : TIniFile;
    sSysPath : String;
begin
  sSysPath := GetCurrentDir + '\Setup.ini';
  Myini := TiniFile.Create(sSysPath);
  If FileExists(sSysPath) = False Then
  begin
    cbPort.ItemIndex := 0;
    cbSpd.ItemIndex := 0;
    edOnCd.Text := '';
  end
  else begin
    cbPort.ItemIndex := StrToInt(MyIni.ReadString('ȯ漳', 'PORT', ''));
    cbSpd.ItemIndex  := StrToInt(MyIni.ReadString('ȯ漳', 'SPEED', ''));
    edOnCd.Text      := MyIni.ReadString('ȯ漳', 'ONLINECODE', '');
    edLamp.Text      := MyIni.ReadString('ȯ漳', 'LAMP', '')
  end;
  MyIni.Free;
end;

procedure TfrmSetup.btnSaveClick(Sender: TObject);
var MyIni : TIniFile;
    sSysPath : String;
begin
  sSysPath := GetCurrentDir + '\Setup.ini';
  MyIni := TiniFile.Create(sSysPath);
  MyIni.WriteString('ȯ漳', 'PORT', IntToStr(cbPort.ItemIndex));
  MyIni.WriteString('ȯ漳', 'SPEED', IntToStr(cbSpd.ItemIndex));
  MyIni.WriteString('ȯ漳', 'ONLINECODE', Trim(edOnCd.Text));
  MyIni.WriteString('ȯ漳', 'LAMP', Trim(edLamp.Text));
  MyIni.Free;
end;

end.
